//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <iterator>
#include <map>
#include <string>
#include <conio.h> //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}


int main(int argc, char* argv[])
{

  //   /  
  // -  -  string
  // -  -  float
  typedef map<string,float> StringFloatMap;

  StringFloatMap stocks;  //   

  //    
  stocks["BASF"] = 369.50; 
  stocks["VW"] = 413.50; 
  stocks["Daimler"] = 819.00; 
  stocks["BMW"] = 834.00; 
  stocks["Siemens"] = 842.20;

  //    
  StringFloatMap::iterator pos;
  cout << ToRus(" :\n");
  for (pos = stocks.begin(); pos != stocks.end(); ++pos) { 
    cout << ToRus(": ") << pos->first << "\t" 
         << ToRus(": ") << pos->second << endl;
  }
  cout << endl;

  //   (  ) 
  for (pos = stocks.begin(); pos != stocks.end(); ++pos) { 
    pos->second *= 2;
  }

  //   
  cout << ToRus(" :\n");
  for (pos = stocks.begin(); pos != stocks.end(); ++pos) { 
    cout << ToRus(": ") << pos->first << "\t" 
         << ToRus(": ") << pos->second << endl;
  }
  cout << endl;

  //   "VW"  "Volkswagen" 
  // -       
  stocks["Volkswagen"] = stocks["VW"];
  stocks.erase("VW");

  //   
  cout << ToRus(" :\n");
  for (pos = stocks.begin(); pos != stocks.end(); ++pos) { 
    cout << ToRus(": ") << pos->first << "\t" 
         << ToRus(": ") << pos->second << endl;
  }
  cout << endl;

  getch();
  return 0;
}

//---------------------------------------------------------------------------
